## com.saxonica.schema.sdoc
Class XMLNamespaceSchema

    java.lang.Object
      com.saxonica.schema.sdoc.XMLNamespaceSchema

    public class XMLNamespaceSchema

extends Object

This module constructs synthetically (that is, without reading an XML schema document) the schema components for the XML namespace

Constructor Summary
`XMLNamespaceSchema()`

Method Summary
`static PreparedSchema` `buildSchema(EnterpriseConfiguration config)` Build the schema components for the XML namespace

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLNamespaceSchema

    public XMLNamespaceSchema()

Method Detail

### buildSchema

    public static PreparedSchema buildSchema(EnterpriseConfiguration config)

  Build the schema components for the XML namespace

  Parameters:
    `config` - the Saxon configuration
  Returns:
    a PreparedSchema containing the schema components for the XML namespace

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.